Name:           uhd
URL:            http://code.ettus.com/redmine/ettus/projects/uhd/wiki
Version:        3.9.2
Release:        %mkrel 2
Group:          Sound
Summary:        Universal Hardware Driver for Ettus Research products
License:        GPLv3+
Source0:        http://files.ettus.com/binaries/uhd_stable/latest_release/uhd-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(orc-0.4)
BuildRequires:  python-cheetah
BuildRequires:  python-docutils
BuildRequires:  python-mako
BuildRequires:  doxygen
BuildRequires:  pkgconfig

%description
The UHD is the universal hardware driver for Ettus Research products.
The goal of the UHD is to provide a host driver and API for current and
future Ettus Research products. It can be used standalone without GNU Radio.

%prep
%setup -q

%build
export LDFLAGS="$LDFLAGS -ltinfo" 
%cmake

%make

%install
rm -rf %buildroot
%make_install -C build

mv -t %{buildroot}%{_prefix}/share/ %{buildroot}%{_libdir}/uhd

# Allow access only to users in usrp group
sed -i 's/MODE:="0666"/MODE:="0660"/' %{buildroot}%{_datadir}/uhd/utils/uhd-usrp.rules

mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
mv %{buildroot}%{_datadir}/uhd/utils/uhd-usrp.rules %{buildroot}%{_sysconfdir}/udev/rules.d/10-usrp-uhd.rules

# Remove binaries for tests, examples
rm -rf %{buildroot}%{_datadir}/uhd/{tests,examples}

# Move the utils stuff to libexec dir
mkdir -p %{buildroot}%{_libexecdir}/uhd
mv %{buildroot}%{_datadir}/uhd/utils/* %{buildroot}%{_libexecdir}/uhd

# Package base docs to base package
mkdir _tmpdoc
mv %{buildroot}%{_docdir}/%{name}/{LICENSE,README.md} _tmpdoc

%package devel
Summary:        Development files for UHD
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for the Universal Hardware Driver (UHD).

%package doc
Summary:        Documentation files for UHD
Group:          Documentation
BuildArch:      noarch

%description doc
Documentation for the Universal Hardware Driver (UHD).

%pre -n uhd
getent group usrp >/dev/null || groupadd -r usrp

%files
%doc _tmpdoc/*
%{_bindir}/octoclock_firmware_burner
%{_bindir}/uhd_find_devices
%{_bindir}/uhd_usrp_probe
%{_bindir}/uhd_cal_rx_iq_balance
%{_bindir}/uhd_cal_tx_dc_offset
%{_bindir}/uhd_cal_tx_iq_balance
%{_bindir}/uhd_image_loader
%{_bindir}/uhd_images_downloader
%{_bindir}/usrp2_card_burner
%{_bindir}/usrp_x3xx_fpga_burner
%{_bindir}/usrp_n2xx_simple_net_burner
%{_libdir}/lib*.so.*
%{_libexecdir}/uhd
%config(noreplace) %{_sysconfdir}/udev/rules.d/10-usrp-uhd.rules

%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/uhd/*.cmake

%files doc
%doc %{_docdir}/%{name}/*
%{_mandir}/man1/*


%changelog
* Sat Sep 16 2017 bb2 <bb2> - 3.9.2-2pclos2017
- rebuild against updates

* Mon Mar 21 2016 bb <bb> 3.9.2-1pclos2016
- update and build against new boost

* Sat May 11 2013 Ken <lxgator at gmail dot com> 3.4.3-1pclos2013
- import Fedora spec 
